org.apache.lucene.analysis.tokenattributes

## Class TypeAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.TypeAttributeImpl

- All Implemented Interfaces:
    Cloneable, TypeAttribute, Attribute

      public class TypeAttributeImpl
      extends AttributeImpl
      implements TypeAttribute, Cloneable

  Default implementation of `TypeAttribute`.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.analysis.tokenattributes.TypeAttribute

      `DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeAttributeImpl()` Initialize this attribute with `TypeAttribute.DEFAULT_TYPE`
    `TypeAttributeImpl(String type)` Initialize this attribute with `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `void` | `setType(String type)` Set the lexical type.
    `String` | `type()` Returns this Token's lexical type.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, reflectAsString, reflectWith`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeAttributeImpl

          public TypeAttributeImpl()

      Initialize this attribute with `TypeAttribute.DEFAULT_TYPE`

    - #### TypeAttributeImpl

          public TypeAttributeImpl(String type)

      Initialize this attribute with `type`

  - ### Method Detail

    - #### type

          public String type()

      Description copied from interface: `TypeAttribute`
      Returns this Token's lexical type. Defaults to "word".
      Specified by:
        `type` in interface `TypeAttribute`
      See Also:
        `TypeAttribute.setType(String)`

    - #### setType

          public void setType(String type)

      Description copied from interface: `TypeAttribute`
      Set the lexical type.
      Specified by:
        `setType` in interface `TypeAttribute`
      See Also:
        `TypeAttribute.type()`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.